#!/usr/bin/env bash

if [[ $# -ne 1 ]];
    then
        echo "usage:" $0 "<config filename>";
        exit 1;
    fi;

. $1


if [[ ! -e $root_dir/gamexml ]]; then
mkdir $root_dir/gamexml
fi
pushd $root_dir/gamexml

#prepare source (empty) gamexml
#if [[ ! -e src_gamexml ]]; then
#    mkdir src_gamexml
#    cd src_gamexml
#    ln -s $db_dir/$geno_db $geno_db
#    srptGameXmlMaker.py -f $geno_db
#    rename.sh gamexml.new gamexml.ori *.new
#    rm $geno_db
#    cd ..
#fi


cp src_gamexml/*.ori .
rename.sh gamexml.ori gamexml *.ori
for i in *.gamexml; do srptGameXmlMaker.py -t $scripts_dir/gamexml_table_file.txt -g $i; done
rename.sh gamexml.new gamexml *.new

popd
