#! /bin/bash


if [[ $# -ne 1 ]];
    then
        echo "usage:" $0 "<config filename>";
        exit 1;
    fi;

. $1

cdir=`pwd`

mkdir $chunk_rnd_dir
cd $chunk_dir

for f in chunk*.fa
do
  echo "shuffling ..." $f
  shuffle -d $f > $chunk_rnd_dir/$f
done 

cd $cdir
