from PASTEC.utils.AbstractClassifierAgent import AbstractClassifierAgent


class TRIM_Agent(AbstractClassifierAgent):
    
    def __init__(self, env):
        AbstractClassifierAgent.__init__(self, env)
        self._listOfKnownAgents = ["Size_Agent", "TRSearch_Agent", "TE_BLRx_Agent", "TE_BLRtx_Agent"]
    
    def getAgentName(self):
        return "TRIM"
    
    def _makeAppropriateConclusionsForTRSearch_Agent(self, iDemandAndResult):
        if iDemandAndResult != None:
            for iResult in iDemandAndResult.result:
                if "termLTR" == iResult.getType():
                    self._conclusionsSearch.append(iResult)