from PASTEC.utils.AbstractClassifierAgent import AbstractClassifierAgent

class Helitron_Agent(AbstractClassifierAgent):

    def __init__(self, env):
        AbstractClassifierAgent.__init__(self, env)
        self._listOfKnownAgents.append("TE_BLRn_Agent")
    
    def getAgentName(self):
        return "Helitron"
    
    def makeAppropriateConclusionsForTE_BLRn_Agent(self, iDemandAndResult):
        if iDemandAndResult != None and iDemandAndResult.result!=[]:
            self._conclusionsMatch.append({'helitronExtremities': iDemandAndResult.result})
            self._dPresenceData["classif_nb"] += len(iDemandAndResult.result)